weka.core

## Class Option

- java.lang.Object
- - weka.core.Option

- All Implemented Interfaces:
    RevisionHandler

      public class Option
      extends java.lang.Object
      implements RevisionHandler

  Class to store information about an option.

  Typical usage:

  `Option myOption = new Option("Uses extended mode.", "E", 0, "-E"));`

  Version:
    $Revision: 8034 $
  Author:
    Eibe Frank (eibe@cs.waikato.ac.nz)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Option(java.lang.String description, java.lang.String name, int numArguments, java.lang.String synopsis)` Creates new option with the given parameters.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `description()` Returns the option's description.
    `java.lang.String` | `getRevision()` Returns the revision string.
    `java.lang.String` | `name()` Returns the option's name.
    `int` | `numArguments()` Returns the option's number of arguments.
    `java.lang.String` | `synopsis()` Returns the option's synopsis.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Option

          public Option(java.lang.String description,
                java.lang.String name,
                int numArguments,
                java.lang.String synopsis)

      Creates new option with the given parameters.
      Parameters:
        `description` - the option's description
        `name` - the option's name
        `numArguments` - the number of arguments

  - ### Method Detail

    - #### description

          public java.lang.String description()

      Returns the option's description.
      Returns:
        the option's description

    - #### name

          public java.lang.String name()

      Returns the option's name.
      Returns:
        the option's name

    - #### numArguments

          public int numArguments()

      Returns the option's number of arguments.
      Returns:
        the option's number of arguments

    - #### synopsis

          public java.lang.String synopsis()

      Returns the option's synopsis.
      Returns:
        the option's synopsis

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Returns:
        the revision